<template>
  <div class="extra-category-list">
    <!-- I'm supossing that these two extraCategories are always present,
    if it wasn't the case, I would v-for a extraCategories array instead
    -->
    <!-- For design reasons, I make the first section appear already unfolded -->
    <ExtraCategory name="Mejora tu estancia" :extras="stayImprovements" :startsUnfolded="true"></ExtraCategory>
    <ExtraCategory name="Servicios de habitación" :extras="roomServices" :startsUnfolded="false"></ExtraCategory>
  </div>
</template>

<script>
import ExtraCategory from '@/components/ChooseExtras/ExtraCategory.vue';

export default {
  name: 'chooseExtras',
  components: {
    ExtraCategory,
  },
  computed: {
    stayImprovements() {
      return this.$store.getters.stayImprovements;
    },
    roomServices() {
      return this.$store.getters.roomServices;
    },
  },
};
</script>

<style lang="scss" scoped>
.extra-category-list {
  margin-bottom: 50px;
}
</style>
